Subject: bug#25183: 26.0.50; expanding quoted file name on w32

From: Michael Albinus <[email-masked]>
Date: Sun, 25 Dec 2016 12:31:40 +0100

Eli Zaretskii <[email-masked]> writes:

> I looked into this, and I indeed think there might be a problem here.
> I agree that "~" should not be expanded for file names escaped with
> "/:", but before I propose a solution, I think we should decide
> whether the "/:" escape should cause the rest be expanded "as usual",
> i.e. produce an absolute file name after "/:" for local file names,
> minus the "~" expansion.  Currently, Unix file names are not expanded
> because '/' as the first character makes them look as absolute file
> names.  MS-Windows specific code, OTOH, looks under the hood, and does
> expand the rest.
>
> IOW, the question is whether on Windows we should have this:
>
>   (expand-file-name "/:~/path/./file") => "/:c:/~/path/file"
>
> or this:
>
>   (expand-file-name "/:~/path/./file") => "/:~/path/file"
>
> If we want the former, then maybe the Unix code should be fixed to
> produce "/:/~/path/file" in that case.
>
> Thoughts?

(expand-file-name "/:~/path/./file") => "/:~/path/file"

looks proper to me. Prepending "c:/" moves the file to another location
on the c: drive, perhaps.

What does (expand-file-name "/:dir/path/./file") ?

Best regards, Michael.